Spree Admin SDK
Get a channel
Required scope: read_settings (for API-key authentication).
GET
Spree Admin SDK
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const channel = await client.channels.get('channel_xxx')spree api get /channels/{id}{
"id": "ch_gbHJdmfrXB",
"name": "Wholesale",
"code": "wholesale",
"active": true,
"default": false,
"storefront_access": "public",
"guest_checkout": true,
"preferred_order_routing_strategy": null,
"preferred_storefront_access": null,
"preferred_guest_checkout": null,
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z",
"stock_location_ids": [],
"default_catalog_id": null
}Required scope: read_settings (for API-key authentication).
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const channel = await client.channels.get('channel_xxx')spree api get /channels/{id}{
"id": "ch_gbHJdmfrXB",
"name": "Wholesale",
"code": "wholesale",
"active": true,
"default": false,
"storefront_access": "public",
"guest_checkout": true,
"preferred_order_routing_strategy": null,
"preferred_storefront_access": null,
"preferred_guest_checkout": null,
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z",
"stock_location_ids": [],
"default_catalog_id": null
}Was this page helpful?
